Subject: Re: bug#66295: [DOCUMENTATION] guix shell with graphical software on Xorg
From: Mathieu Othacehe <[email-masked]>
To: Timothee Mathieu <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Oct 2023 14:55:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> I solved the problem by sharing .Xauthority and exposing the associated environment variable, and then it works:
> guix shell --container --network --no-cwd ungoogled-chromium  \

Thanks for reporting! As there is no patch here I will close this
ticket, however ...

>   --preserve='^DISPLAY$' --preserve='^XAUTHORITY$' --share=$HOME/.Xauthority -- chromium
> I think this should be added to the documentation to help people that want to use guix shell with Xorg.

... that seems like a nice idea. If you can send a patch and open a new
ticket that would be great :).

Mathieu